---
name: 'Enhancement'
about: 'Suggest a new idea or improvement for Vega-Lite'
labels: 'Enhancement :tada:'
---

Please:

- [ ] Check for duplicate issues. Please file separate requests as separate issues on GitHub.
- [ ] Describe the feature's goal, motivating use cases, and its expected behavior.
- [ ] If you are proposing a new syntax, please provide at least one example spec, wrapped by triple backticks like this:

```json
{
  "mark": "point",
  "encoding": {"x": {"field": "a"}}
}
```

You are encouraged to prototype multiple alternative syntaxes for your proposed feature. Doing so often leads to a better design.

- [ ] If applicable, include screenshots, GIF videos (e.g. using https://www.cockos.com/licecap/), or working example (e.g. example Vega specification for the requested feature)
